Bug 655310 - Send IPv6 address of network interfaces to rhnParent
Summary: Send IPv6 address of network interfaces to rhnParent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 1.3
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On: 569793
Blocks: spaceIPv6 569790 space13
TreeView+ depends on / blocked
 
Reported: 2010-11-20 12:30 UTC by Miroslav Suchý
Modified: 2011-04-21 11:28 UTC (History)
2 users (show)

Fixed In Version: rhn-client-tools-1.3.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 569790
Environment:
Last Closed: 2011-04-21 11:28:29 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2010-11-20 12:30:23 UTC
+++ This bug was initially created as a clone of Bug #569790 +++

Description of problem:
rhn-client tools report HW info to rhnParent. But we currently send only IPv4 address and not IPv6 address.
We use python-ethtool to grab the information. We can either request IPv6 support in python-ethtool or do some workaround.

--- Additional comment from msuchy@redhat.com on 2010-03-02 08:12:43 EST ---

We should also change in hardware.py in function change gethostbyname(gethostname()) to socket.getaddrinfo(gethostname()), but it does not contain simple value and we should somehow pick up the right value.

Comment 1 Miroslav Suchý 2010-11-20 13:44:03 UTC
We now send IPv6 addresses to server (commit c295d2f4387f76b3d7186a39a1cc04d9c7eccd09).
Those data are not utilizes by Spacewalk Server yet.

I replaced gethostbyname() by getaddrinfo() (commit 6ca6477f39b18473dbd8dc2abeb99c8b23f30458) so we can easily switch to using IPv6 as default ip addr or get info from IPv6 stack.


Note You need to log in before you can comment on or make changes to this bug.